"""
Django settings for ptt-amb project.

Generated by 'django-admin startproject' using Django 1.11.4.

For more information on this file, see
https://docs.djangoproject.com/en/1.11/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/1.11/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/1.11/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '_3n&)k^%a-&n!t$xyy7^*(4eza6ak3su0+(=h85uydy+er=x2p'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

#ALLOWED_HOSTS = ["127.0.0.1"]
ALLOWED_HOSTS = ["127.0.0.1","10.1.90.21"] 

# --- ReGISTRATION ---
ACCOUNT_ACTIVATION_DAYS = 7 # One-week activation window; you may, of course, use a different value.
REGISTRATION_AUTO_LOGIN = True # Automatically log the user in.
# --- FIN ReGISTRATION ---

# Application definition

INSTALLED_APPS = [
    #'nested_admin',
    'bootstrap_admin',
	'django.contrib.admin',
	'django.contrib.auth',
	'django.contrib.contenttypes',
	'django.contrib.sessions',
	'django.contrib.messages',
	'django.contrib.staticfiles',
	'django.contrib.sites',

	#3rd party
	'registration', #should be immediately above 'django.contrib.auth'
	'semanticuiforms',
	'guardian',
	'actstream',
	'django_extensions',

    # Base generic
    'common',
	'actions',
	#'deadline',

	# my apps
	'myprofile',

	#'organizacion',
	'expedientes',
	'solicitud',
    'spatialMod',

	#Aplicaciones para jugar
	'test_app',
	#'myapp',
	#'articles',

	#'xadmin',
    #'crispy_forms',
    #'reversion',
]
SITE_ID = 1

AUTHENTICATION_BACKENDS = (
'django.contrib.auth.backends.ModelBackend',
'guardian.backends.ObjectPermissionBackend',
)

GRAPH_MODELS = {
  'all_applications': True,
  'group_models': True,
}

MIDDLEWARE = [
	'django.middleware.security.SecurityMiddleware',
	'django.contrib.sessions.middleware.SessionMiddleware',
	'django.middleware.common.CommonMiddleware',
	'django.middleware.csrf.CsrfViewMiddleware',
	'django.contrib.auth.middleware.AuthenticationMiddleware',
	'django.contrib.messages.middleware.MessageMiddleware',
	'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'ptt-amb.urls'

from django.conf import global_settings

TEMPLATES = [
	{
		'BACKEND': 'django.template.backends.django.DjangoTemplates',
		#'DIRS': ['templates'],
		'DIRS': [BASE_DIR+"/templates", 'templates'],
		'APP_DIRS': True,
		'OPTIONS': {
			'context_processors': [
				'django.template.context_processors.debug',
				'django.template.context_processors.request',
				'django.contrib.auth.context_processors.auth',
				'django.contrib.messages.context_processors.messages',
				'django.contrib.auth.context_processors.auth',
                'django.template.context_processors.debug',
                'django.template.context_processors.i18n',
                'django.template.context_processors.media',
                'django.template.context_processors.static',
                'django.template.context_processors.tz',
                #'django.contrib.messages.context_processors.messages',
                #'django.template.context_processors.request'
			],
		},
	},
]

BOOTSTRAP_ADMIN_SIDEBAR_MENU = True
WSGI_APPLICATION = 'ptt-amb.wsgi.application'


# Database
# https://docs.djangoproject.com/en/1.11/ref/settings/#databases

DATABASES = {
	'default': {
		'ENGINE': 'django.db.backends.sqlite3',
		'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
	}
}


# Password validation
# https://docs.djangoproject.com/en/1.11/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
	{
		'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
	},
	{
		'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
	},
	{
		'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
	},
	{
		'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
	},
]


# Internationalization
# https://docs.djangoproject.com/en/1.11/topics/i18n/

LANGUAGE_CODE = 'es_CO'

TIME_ZONE = 'America/Bogota'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/1.11/howto/static-files/

STATIC_URL = '/static/'

if DEBUG:
  STATICFILES_DIRS = (
		  os.path.join(BASE_DIR, "static"),
  )
else:
  STATIC_ROOT=os.path.join(BASE_DIR,'static/')





# ---REDUX-------------
EMAIL_BACKEND = 'django.core.mail.backends.smtp.EmailBackend'

EMAIL_BACKEND='django.core.mail.backends.smtp.EmailBackend'
EMAIL_HOST ='smtp.gmail.com'
EMAIL_PORT = 587
EMAIL_HOST_USER = 'testdjangoapps@gmail.com'
EMAIL_HOST_PASSWORD = 'yurleysanchez' #This is not your gmail password.
EMAIL_USE_TLS = True

# ---FIN REDUX------------





# ---ACTSTREAM-------------
ACTSTREAM_SETTINGS = {
	#'MANAGER': 'myapp.streams.MyActionManager',
	'MANAGER': 'common.streams.MyActionManager',
	'FETCH_RELATIONS': True,
	'USE_PREFETCH': True,
	'USE_JSONFIELD': True,
	'GFK_FETCH_DEPTH': 0,
}

# ---FIN ACTSTREAM------------


# --- LOGGING ---
LOGGING = {
	'version': 1,
	'disable_existing_loggers': False,
	'formatters': {
		'verbose': {
			'format': '%(levelname)s %(asctime)s %(module)s %(process)d %(thread)d %(message)s'
		},
		'simple': {
			'format': '%(levelname)s %(message)s'
		},
		'yurs': {
			'format': '%(asctime)s	%(levelname)s	%(levelno)s	%(name)s	%(funcName)s	%(lineno)d	%(message)s'
		},

		'json': {
			'format': '{"loggerName": "%(name)s", "asciTime": "%(asctime)s", "fileName": "%(filename)s", "logRecordCreationTime": "%(created)f", "functionName": "%(funcName)s", "levelNo": "%(levelno)s", "lineNo": "%(lineno)d", "time": "%(msecs)d", "levelName": "%(levelname)s", "message": "%(message)s"}, ',
		},
	},

	'handlers': {
		'file': {
			'level': 'DEBUG',
			'class': 'logging.FileHandler',
			'filename': 'debug.log',
			'formatter': 'yurs'
		},
		'console': {
			'class': 'logging.StreamHandler',
		},
		'handler_for_my_apps': {
			'level': 'DEBUG',
			'class': 'logging.FileHandler',
			'filename': 'debug1.log',
			'formatter': 'yurs'
			},
	},
	'loggers': {
		'django': {
			'handlers': ['file', 'console'],
			'level': 'INFO',
			'propagate': True,
		},

        'test_app': {
            'handlers': ['handler_for_my_apps', 'console'],
            'level': 'DEBUG',
            'formatter': 'simple'
        },

        'myapp': {
            'handlers': ['handler_for_my_apps', 'console'],
            'level': 'DEBUG',
            'formatter': 'simple'
        },

        'myprofile': {
            'handlers': ['handler_for_my_apps', 'console'],
            'level': 'DEBUG',
            'formatter': 'simple'
        },

        'actions': {
            'handlers': ['handler_for_my_apps', 'console'],
            'level': 'DEBUG',
            'formatter': 'simple'
        },

        'article': {
            'handlers': ['handler_for_my_apps', 'console'],
            'level': 'DEBUG',
            'formatter': 'simple'
        },

        'expedientes': {
            'handlers': ['handler_for_my_apps', 'console'],
            'level': 'DEBUG',
            'formatter': 'simple'
        },

        'solicitud': {
            'handlers': ['handler_for_my_apps', 'console'],
            'level': 'DEBUG',
            'formatter': 'simple'
        },
	},
}
# ---FIN LOGGING------------
